Bug 174491 - The 'guile-devel' RPM package does not update /usr/share/info/dir to include an entries for guile's '.info' files
The 'guile-devel' RPM package does not update /usr/share/info/dir to include ...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: guile (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Depends On:
Blocks: 190430
  Show dependency treegraph
Reported: 2005-11-29 10:36 EST by Mark Harig
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-16 20:00:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Harig 2005-11-29 10:36:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
There are no entries in /usr/share/info/dir for the .info files included in 'guile-devel':

   $ grep -Ei 'guile|goop' /usr/share/info/dir

The 'guile-devel' RPM package file should include post-installation code that updates /usr/share/info/dir.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rpm -q --scripts guile-devel
2. There is no output from the previous command
3. Contrast this with, for example, the 'coreutils' RPM package:
      rpm -q --scripts coreutils

Actual Results:  There is no output from the '--scripts' query to the 'guile-devel' RPM package, while the the same query to the 'coreutils' RPM package lists the shell scriptlet that is run during post-installation, which adds the entries for 'coreutils' to /usr/share/info/dir.

Expected Results:  A post-install scriptlet should be run during installation of the 'guile-devel' RPM package which updates /usr/share/info/dir to include entries for 'Guile Reference', 'Guile Tutorial', and 'GOOPS'.

Additional info:
Comment 4 RHEL Product and Program Management 2006-12-16 20:00:55 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.